Bug 844963 - Review Request: cura-storage - CIM providers for storage management
Review Request: cura-storage - CIM providers for storage management
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 07:18 EDT by Jan Safranek
Modified: 2012-08-17 21:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-17 21:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tsmetana: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2012-08-01 07:18:31 EDT
Spec URL: http://people.redhat.com/jsafrane/cura-storage/cura-storage.spec
SRPM URL: http://people.redhat.com/jsafrane/cura-storage/cura-storage-0.1-1.fc17.src.rpm

Description:
The cura-storage package contains CMPI providers for management of storage using Common Information Managemen (CIM) protocol.

The providers can be registered in any CMPI-aware CIMOM, both OpenPegasus and SFCB were tested.

Fedora Account System Username: jsafrane
Comment 1 Jon Stanley 2012-08-01 20:58:40 EDT
taking review
Comment 2 Jon Stanley 2012-08-01 21:37:19 EDT
In general a very simple spec that looks good, but seems somewhat weird. I guess I should ask what the intended use of this package is, because it looks like it uses storage stuff from pyanaconda, which would be a....strange way to get info, unless you are planning to be used *only* in the install path, but it seems that this module is more generally useful (and perhaps non-useful entirely in the install path).

Moreover, I'm not sure that anaconda guarantees a stable API - so this could break without warning because of internal changes in Anaconda.

But for a review:

source filesmatch upstream:

$ sha256sum cura-storage-0.1.tar.gz ../cura-storage-0.1.tar.gz 
35ece7f998f37f1299c8c2cf02de4e31365fc2ee92cadf79e949308efdc10156  cura-storage-0.1.tar.gz
35ece7f998f37f1299c8c2cf02de4e31365fc2ee92cadf79e949308efdc10156  ../cura-storage-0.1.tar.gz
:

yes - package meets naming and versioning guidelines.
notes = specfile is properly named, is cleanly written and uses macros consistently.

Unless this is planned to be used on RHEL5, the top two macros are not necessary, See http://fedoraproject.org/wiki/Packaging:Python#Macros

yes - dist tag is present.

yes - license field matches the actual license.
yes - license is open source-compatible.
yes - license text included in package.
yes - latest version is being packaged.
yes - BuildRequires are proper.
warning - compiler flags are appropriate.
- the CFLAGS to setup.py isn't necessary since this is a noarch package.
note - %clean is present.
- See above. If this package is intended for RHEL5, then a %clean section is needed. If not, no problem and drop the python %defines's
yes - package builds in mock.
yes - package installs properly.
rpmlint is silent.
final provides and requires are sane:
$ rpm -q --requires -p ~/Downloads/cura-storage-0.1-1.fc17.noarch.rpm 
anaconda  
cmpi-bindings-pywbem  
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
sblim-cmpi-base  
rpmlib(PayloadIsXz) <= 5.2-1
$ rpm -q --provides -p ~/Downloads/cura-storage-0.1-1.fc17.noarch.rpm 
cura-storage = 0.1-1.fc17

yes - owns the directories it creates.
yes - doesn't own any directories it shouldn't.
yes - no duplicates in %files.
yes - file permissions are appropriate.
yes - no scriptlets present.
yes - code, not content.
yes - documentation is small, so no -docs subpackage is necessary.
yes - %docs are not necessary for the proper functioning of the package.
Comment 3 Jon Stanley 2012-08-01 21:48:02 EDT
Also, thinking about my comments above about the Anaconda API, this won't even work on RHEL5 since the Anaconda storage stuff was completely rewritten, so all the stuff that I said about RHEL5 can be gotten rid of (the python defines and no %clean section is needed).

My comments about the Anaconda API being unstable remain, and are illustrated by that :).
Comment 4 Jan Safranek 2012-08-02 02:58:22 EDT
I have indeed no intention to run this package on RHEL5, so I removed python_sitelib and python_sitearch and CFLAGS as suggested.

Regarding Anaconda stability, I'm working with Anaconda guys to stabilize it, as it has quite nice python module to manage storage. Of course, there is lot of work to do to release separate Anaconda-storage package that would be usable outside installer, but is tracked as bug #816836.

Whole cura-storage is highly experimental.

Updated packages:
Spec URL: http://people.redhat.com/jsafrane/cura-storage/cura-storage.spec
SRPM URL: http://people.redhat.com/jsafrane/cura-storage/cura-storage-0.1-2.fc17.src.rpm
Comment 5 Jan Safranek 2012-08-03 02:45:30 EDT
Jon, can we proceed with the review? I want the package in Fedora before Alpha freeze. Thanks in advance.
Comment 6 Tomas Smetana 2012-08-06 11:09:50 EDT
Hello, I'm really sorry, but we need to proceed with the review.

Thank you Jon for your help. I will now try to finish the review.

Regards.
Comment 7 Tomas Smetana 2012-08-06 11:24:55 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) GENERATED FILE", "GENERATED FILE", "*No copyright*
     UNKNOWN", "GPL (v2 or later)" For detailed output of licensecheck see
     file: /home/tsmetana/844963-cura-storage/licensecheck.txt
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1 (README.Fedora)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None

Rpmlint
-------
Checking: cura-storage-0.1-2.fc18.noarch.rpm
          cura-storage-0.1-2.fc18.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
(run manually rpmlint cura-storage)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
cura-storage-0.1-2.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    anaconda
    cmpi-bindings-pywbem
    python(abi) = 2.7
    sblim-cmpi-base

Provides
--------
cura-storage-0.1-2.fc18.noarch.rpm:
    
    cura-storage = 0.1-2.fc18

MD5-sum check
-------------
https://fedorahosted.org/released/cura-storage/cura-storage-0.1.tar.gz :
  MD5SUM this package     : c1dc2b690a0392a9dc7cf71e276d1ef2
  MD5SUM upstream package : c1dc2b690a0392a9dc7cf71e276d1ef2

Result: Failed

Please do not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the beginning of %install.
Comment 8 Jan Safranek 2012-08-06 11:28:27 EDT
I removed  rm -rf $RPM_BUILD_ROOT, new version is available here:

Spec URL: http://people.redhat.com/jsafrane/cura-storage/cura-storage.spec
SRPM URL: http://people.redhat.com/jsafrane/cura-storage/cura-storage-0.1-3.fc17.src.rpm
Comment 9 Tomas Smetana 2012-08-06 11:46:24 EDT
This time there were no script failures, adding also result of "manual" checks.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) GENERATED FILE", "GENERATED FILE", "*No copyright*
     UNKNOWN", "GPL (v2 or later)" For detailed output of licensecheck see
     file: /home/tsmetana/844963-cura-storage/srpm/844963-cura-
     storage/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1 (README.Fedora)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[?]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: cura-storage-0.1-3.fc18.noarch.rpm
          cura-storage-0.1-3.fc18.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
(Manual run rpmlint cura-storage):
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
cura-storage-0.1-3.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    anaconda
    cmpi-bindings-pywbem
    python(abi) = 2.7
    sblim-cmpi-base

Provides
--------
cura-storage-0.1-3.fc18.noarch.rpm:
    
    cura-storage = 0.1-3.fc18

MD5-sum check
-------------
https://fedorahosted.org/released/cura-storage/cura-storage-0.1.tar.gz :
  MD5SUM this package     : c1dc2b690a0392a9dc7cf71e276d1ef2
  MD5SUM upstream package : c1dc2b690a0392a9dc7cf71e276d1ef2

Result: all the mandatory checks passed.

ACCEPT
Comment 10 Jan Safranek 2012-08-06 11:49:46 EDT
New Package SCM Request
=======================
Package Name: cura-storage
Short Description: CIM providers for storage management
Owners: jsafrane
Branches: f17
InitialCC:
Comment 11 Jon Stanley 2012-08-06 11:55:31 EDT
Thanks Tomas! Sorry I didn't get to this in time :)
Comment 12 Gwyn Ciesla 2012-08-06 12:15:36 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-08-07 03:00:19 EDT
cura-storage-0.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cura-storage-0.1-3.fc17
Comment 14 Jan Safranek 2012-08-07 03:04:57 EDT
cura-storage-0.1-3.fc18 is heading also to rawhide. Thanks everybody for review & git, and Jon, sorry again to rush this.
Comment 15 Fedora Update System 2012-08-09 18:58:53 EDT
cura-storage-0.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 16 Fedora Update System 2012-08-17 21:24:51 EDT
cura-storage-0.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.